package com.iamberry.wechat.core.entity.relationship;

import java.util.Date;

public class DealerRelation implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -3623540373268916686L;
	private Integer dealerId;				//id
	private Integer dealerFirst;			//第一级代理商
	private Integer dealerSecond;			//第二级代理商
	private Integer dealerThird;			//第三级代理商
	private Integer dealerFourth;			//第四级代理商
	
	private Integer dealerFifth;			//第五级代理商
	private Integer dealerSixth;			//第六级代理商
	private Integer dealerCount;			//实际多少级
	private Date createDate;				//创建实际
	private Date updateDate;				//修改时间
	
	public Integer getDealerId() {
		return dealerId;
	}
	public void setDealerId(Integer dealerId) {
		this.dealerId = dealerId;
	}
	public Integer getDealerFirst() {
		return dealerFirst;
	}
	public void setDealerFirst(Integer dealerFirst) {
		this.dealerFirst = dealerFirst;
	}
	public Integer getDealerSecond() {
		return dealerSecond;
	}
	public void setDealerSecond(Integer dealerSecond) {
		this.dealerSecond = dealerSecond;
	}
	public Integer getDealerThird() {
		return dealerThird;
	}
	public void setDealerThird(Integer dealerThird) {
		this.dealerThird = dealerThird;
	}
	public Integer getDealerFourth() {
		return dealerFourth;
	}
	public void setDealerFourth(Integer dealerFourth) {
		this.dealerFourth = dealerFourth;
	}
	public Integer getDealerFifth() {
		return dealerFifth;
	}
	public void setDealerFifth(Integer dealerFifth) {
		this.dealerFifth = dealerFifth;
	}
	public Integer getDealerSixth() {
		return dealerSixth;
	}
	public void setDealerSixth(Integer dealerSixth) {
		this.dealerSixth = dealerSixth;
	}
	public Integer getDealerCount() {
		return dealerCount;
	}
	public void setDealerCount(Integer dealerCount) {
		this.dealerCount = dealerCount;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	@Override
	public String toString() {
		return "DealerRelation [dealerId=" + dealerId
				+ ", dealerFirst=" + dealerFirst + ", dealerSecond="
				+ dealerSecond + ", dealerThird=" + dealerThird
				+ ", dealerFourth=" + dealerFourth + ", dealerFifth="
				+ dealerFifth + ", dealerSixth=" + dealerSixth
				+ ", dealerCount=" + dealerCount + ", createDate=" + createDate
				+ ", updateDate=" + updateDate + "]";
	}
}
